> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Most Recently Updated Tokens List

> To query 100 most recently updated tokens info of a specific network or across all networks on GeckoTerminal

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Use `include=network` to include network data alongside the updated tokens list.
* Attributes specified in the `include` param will be returned under the top-level `included` key.

<CacheInfo paidRate="30 seconds" publicRate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.onchain.tokens.infoRecentlyUpdated.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.onchain.tokens.info_recently_updated.get()

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /onchain/tokens/info_recently_updated
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /onchain/tokens/info_recently_updated:
    get:
      summary: Most Recently Updated Tokens List
      description: >-
        To query 100 most recently updated tokens info of a specific network or
        across all networks on GeckoTerminal
      operationId: tokens-info-recent-updated
      parameters:
        - name: include
          in: query
          required: false
          description: Attributes for related resources to include.
          schema:
            type: string
            enum:
              - network
        - name: network
          in: query
          required: false
          description: |-
            Filter tokens by provided network. 
            *refers to [`/onchain/networks`](/reference/networks-list).
          schema:
            type: string
      responses:
        '200':
          description: Most recently updated tokens info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenInfoRecentlyUpdated'
              example:
                data:
                  - id: ton_EQDCSrwrZPe4ZW-OBU1vxxalRxDeozKl_mU9Onhj-amUwHD-
                    type: token
                    attributes:
                      address: EQDCSrwrZPe4ZW-OBU1vxxalRxDeozKl_mU9Onhj-amUwHD-
                      name: abrdn Physical Platinum Shares xStock
                      symbol: PPLTx
                      decimals: 9
                      image_url: >-
                        https://coin-images.coingecko.com/coins/images/102171960/large/Ticker_PPLTx__Company_Name_Physical_Platinum_Shares_ETF__Size_64x64.png?1770653933
                      coingecko_coin_id: abrdn-physical-platinum-shares-xstock
                      websites:
                        - https://xstocks.fi
                      discord_url: null
                      farcaster_url: null
                      zora_url: null
                      telegram_handle: xstocksfi
                      twitter_handle: xstocksfi
                      description: >-
                        For too long, investing has come with barriers. Borders.
                        Brokers. Limitations.
                      gt_score: null
                      metadata_updated_at: '2026-05-28T01:52:27Z'
                    relationships:
                      network:
                        data:
                          id: ton
                          type: network
                  - id: solana_Xst6eFD4YT6sz9RLMysN9SyvaZWtraSdVJQGu5ZkAme
                    type: token
                    attributes:
                      address: Xst6eFD4YT6sz9RLMysN9SyvaZWtraSdVJQGu5ZkAme
                      name: abrdn Physical Platinum Shares xStock
                      symbol: PPLTx
                      decimals: 8
                      image_url: >-
                        https://coin-images.coingecko.com/coins/images/102171960/large/Ticker_PPLTx__Company_Name_Physical_Platinum_Shares_ETF__Size_64x64.png?1770653933
                      coingecko_coin_id: abrdn-physical-platinum-shares-xstock
                      websites:
                        - https://xstocks.fi
                      discord_url: null
                      farcaster_url: null
                      zora_url: null
                      telegram_handle: xstocksfi
                      twitter_handle: xstocksfi
                      description: >-
                        For too long, investing has come with barriers. Borders.
                        Brokers. Limitations.
                      gt_score: null
                      metadata_updated_at: '2026-05-28T01:52:27Z'
                    relationships:
                      network:
                        data:
                          id: solana
                          type: network
                included:
                  - id: ton
                    type: network
                    attributes:
                      name: TON
                      coingecko_asset_platform_id: the-open-network
                  - id: solana
                    type: network
                    attributes:
                      name: Solana
                      coingecko_asset_platform_id: solana
components:
  schemas:
    TokenInfoRecentlyUpdated:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            type: object
            required:
              - id
              - type
              - attributes
              - relationships
            properties:
              id:
                type: string
                description: Token identifier
              type:
                type: string
                description: Resource type
              attributes:
                type: object
                required:
                  - address
                  - name
                  - symbol
                  - decimals
                  - image_url
                  - coingecko_coin_id
                  - websites
                  - discord_url
                  - farcaster_url
                  - zora_url
                  - telegram_handle
                  - twitter_handle
                  - description
                  - gt_score
                  - metadata_updated_at
                properties:
                  address:
                    type: string
                    description: Token contract address
                  name:
                    type: string
                    description: Token name
                  symbol:
                    type: string
                    description: Token symbol
                  decimals:
                    type: integer
                    description: Token decimals
                  image_url:
                    type: string
                    nullable: true
                    description: Token image URL
                  coingecko_coin_id:
                    type: string
                    nullable: true
                    description: CoinGecko coin ID
                  websites:
                    type: array
                    description: Token websites
                    items:
                      type: string
                  discord_url:
                    type: string
                    nullable: true
                    description: Discord URL
                  farcaster_url:
                    type: string
                    nullable: true
                    description: Farcaster URL
                  zora_url:
                    type: string
                    nullable: true
                    description: Zora URL
                  telegram_handle:
                    type: string
                    nullable: true
                    description: Telegram handle
                  twitter_handle:
                    type: string
                    nullable: true
                    description: Twitter handle
                  description:
                    type: string
                    nullable: true
                    description: Token description
                  gt_score:
                    type: number
                    nullable: true
                    description: GeckoTerminal trust score
                  metadata_updated_at:
                    type: string
                    description: Metadata last updated timestamp
              relationships:
                type: object
                properties:
                  network:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          id:
                            type: string
                          type:
                            type: string
        included:
          type: array
          description: Included network data, present when include=network is specified
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
              attributes:
                type: object
                properties:
                  name:
                    type: string
                  coingecko_asset_platform_id:
                    type: string
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````